Red Hat Security Advisory 2020-3385-01 ≈ Packet Storm – Digitalmunition




Exploit/Advisories no-image-featured-image.png

Published on August 10th, 2020 📆 | 6823 Views ⚑

0

Red Hat Security Advisory 2020-3385-01 ≈ Packet Storm

—–BEGIN PGP SIGNED MESSAGE—–
Hash: SHA256

====================================================================
Red Hat Security Advisory

Synopsis: Important: libvncserver security update
Advisory ID: RHSA-2020:3385-01
Product: Red Hat Enterprise Linux
Advisory URL: https://access.redhat.com/errata/RHSA-2020:3385
Issue date: 2020-08-10
CVE Names: CVE-2017-18922
====================================================================
1. Summary:

An update for libvncserver is now available for Red Hat Enterprise Linux 8.

Red Hat Product Security has rated this update as having a security impact
of Important. A Common Vulnerability Scoring System (CVSS) base score,
which gives a detailed severity rating, is available for each vulnerability
from the CVE link(s) in the References section.

2. Relevant releases/architectures:

Red Hat CodeReady Linux Builder (v. 8) – aarch64, ppc64le, s390x, x86_64
Red Hat Enterprise Linux AppStream (v. 8) – aarch64, ppc64le, x86_64

3. Description:

LibVNCServer is a C library that enables you to implement VNC server
functionality into own programs.

Security Fix(es):

* libvncserver: websocket decoding buffer overflow (CVE-2017-18922)

For more details about the security issue(s), including the impact, a CVSS
score, acknowledgments, and other related information, refer to the CVE
page(s) listed in the References section.

4. Solution:

For details on how to apply this update, which includes the changes
described in this advisory, refer to:

https://access.redhat.com/articles/11258

5. Bugs fixed (https://bugzilla.redhat.com/):

1852356 – CVE-2017-18922 libvncserver: websocket decoding buffer overflow

6. Package List:

Red Hat Enterprise Linux AppStream (v. 8):

Source:
libvncserver-0.9.11-15.el8_2.1.src.rpm

aarch64:
libvncserver-0.9.11-15.el8_2.1.aarch64.rpm
libvncserver-debuginfo-0.9.11-15.el8_2.1.aarch64.rpm
libvncserver-debugsource-0.9.11-15.el8_2.1.aarch64.rpm

ppc64le:
libvncserver-0.9.11-15.el8_2.1.ppc64le.rpm
libvncserver-debuginfo-0.9.11-15.el8_2.1.ppc64le.rpm
libvncserver-debugsource-0.9.11-15.el8_2.1.ppc64le.rpm

x86_64:
libvncserver-0.9.11-15.el8_2.1.i686.rpm
libvncserver-0.9.11-15.el8_2.1.x86_64.rpm
libvncserver-debuginfo-0.9.11-15.el8_2.1.i686.rpm
libvncserver-debuginfo-0.9.11-15.el8_2.1.x86_64.rpm
libvncserver-debugsource-0.9.11-15.el8_2.1.i686.rpm
libvncserver-debugsource-0.9.11-15.el8_2.1.x86_64.rpm

Red Hat CodeReady Linux Builder (v. 8):

Source:
libvncserver-0.9.11-15.el8_2.1.src.rpm

aarch64:
libvncserver-debuginfo-0.9.11-15.el8_2.1.aarch64.rpm
libvncserver-debugsource-0.9.11-15.el8_2.1.aarch64.rpm
libvncserver-devel-0.9.11-15.el8_2.1.aarch64.rpm

ppc64le:
libvncserver-debuginfo-0.9.11-15.el8_2.1.ppc64le.rpm
libvncserver-debugsource-0.9.11-15.el8_2.1.ppc64le.rpm
libvncserver-devel-0.9.11-15.el8_2.1.ppc64le.rpm

s390x:
libvncserver-0.9.11-15.el8_2.1.s390x.rpm
libvncserver-debuginfo-0.9.11-15.el8_2.1.s390x.rpm
libvncserver-debugsource-0.9.11-15.el8_2.1.s390x.rpm
libvncserver-devel-0.9.11-15.el8_2.1.s390x.rpm

x86_64:
libvncserver-debuginfo-0.9.11-15.el8_2.1.i686.rpm
libvncserver-debuginfo-0.9.11-15.el8_2.1.x86_64.rpm
libvncserver-debugsource-0.9.11-15.el8_2.1.i686.rpm
libvncserver-debugsource-0.9.11-15.el8_2.1.x86_64.rpm
libvncserver-devel-0.9.11-15.el8_2.1.i686.rpm
libvncserver-devel-0.9.11-15.el8_2.1.x86_64.rpm

These packages are GPG signed by Red Hat for security. Our key and
details on how to verify the signature are available from
https://access.redhat.com/security/team/key/

7. References:

https://access.redhat.com/security/cve/CVE-2017-18922
https://access.redhat.com/security/updates/classification/#important

8. Contact:

The Red Hat security contact is . More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2020 Red Hat, Inc.
—–BEGIN PGP SIGNATURE—–
Version: GnuPG v1

iQIVAwUBXzFXKtzjgjWX9erEAQgZUg/+IwrDsrEFxEZ0TU8k9CGtp/hxtxzcWu7S
ZfwPTwgprzj/7+fn+7qXCF4LhG/3gNZuQV0aXFQDTHufO21vQTBFngtMih2d9NjV
2p3W6tHhjsmNSWZmOhDFqe2RzeK22OVXaBpdGLkIvxKyzG6jVzrQr0OkZKnVApYw
/qlfH1+phWSesyf3mQW4Qb/gOaG27h6O1LJxav7H3Yn1QZBXdlqbLmkrIJiTKJ1y
EED3hozgDKDoioIrEZiPAW5zKIN4eQZGX29qAr1qjc1zyIT0xgjeD/eFl9y5NgcX
680U82GUJSEHbSAmkrpLLm7w/br4SxHBfLiT8x7m06/sfTOC30CdI/GZqb+EYqzO
/cknet9u0FBg/Ipb2TeLDEcY/5BOWl6ePdXEzCuAcnMaX6M+qdd5UtOZ6P/vTNId
KDAtxLuRncbcywjClI9zQf4T7vUND2HFSQea0ct5LTBxdBTAujPC861YCm/VkG59
zT6zvl5tPVWzsKLlyYFaoQ0ZNDsmLnptbdA51iumxYMldriv7i8bKWi+QmFRwcKZ
S1nmSyIZpPqw65TxcvoEqKZ2MlDv/t17xTaHRVyuY2a8u6eIxPcHij+OdEI4U9fb
1HbTw0erskcM9fPOO4p9nhEv7NoT1+IMOgHWixE+1TwROkf7+aNU7uALMm5b5YUb
GaX+T5ur4FE=HP+s
—–END PGP SIGNATURE—–


RHSA-announce mailing list
[email protected]
https://www.redhat.com/mailman/listinfo/rhsa-announce

Source link

Tagged with:



Leave a Reply

Your email address will not be published. Required fields are marked *


loading...